%define version 0.72
%define release 12mdk

Summary: A security tool which provides authentication for applications.
Name: pam
Version: %{version}
Release: %{release}
Copyright: GPL or BSD
Group: System/Libraries
Source: pam-redhat-%{version}.tar.bz2
Source1: other.pamd
Buildroot: %{_tmppath}/%{name}-root
Requires: cracklib, cracklib-dicts, pwdb >= 0.54-2, initscripts >= 3.94
BuildRequires: pwdb-devel cracklib-devel glib-devel bison flex
Obsoletes: pamconfig
Url: http://www.us.kernel.org/pub/linux/libs/pam/index.html
Patch: pam-0.72-mdkconf.patch.bz2
Patch1: pam-0.72-selfbuild.patch.bz2

%description
PAM (Pluggable Authentication Modules) is a system security tool
which allows system administrators to set authentication policy
without having to recompile programs which do authentication.

%package doc
Summary: more doc for %{name}
Group: System/Libraries
Requires: %{name} = %{version}

%package devel
Summary: more doc for %{name}
Group: System/Libraries
Requires: %{name} = %{version}

%description doc
PAM (Pluggable Authentication Modules) is a system security tool which
allows system administrators to set authentication policy without
having to recompile programs which do authentication.

This is the documentation package of %{name}

%description devel
PAM (Pluggable Authentication Modules) is a system security tool
which allows system administrators to set authentication policy
without having to recompile programs which do authentication.

This is the devlopement librairies for %{name}

%prep
%setup -q
ln -sf defs/redhat.defs default.defs
%patch -p1 -b .mdk
%patch1 -p0 -b .fred

%build
touch .freezemake
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_includedir}/security
mkdir -p $RPM_BUILD_ROOT/lib/security
make install FAKEROOT=$RPM_BUILD_ROOT LDCONFIG=:
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -m 644 other.pamd $RPM_BUILD_ROOT/etc/pam.d/other
install -m 644 system-auth.pamd $RPM_BUILD_ROOT/etc/pam.d/system-auth
# make sure the modules built...
[ -f $RPM_BUILD_ROOT/lib/security/pam_deny.so ] || {
  echo "You have LITTLE or NOTHING in your /lib/security directory:"
  echo $RPM_BUILD_ROOT/lib/security/*
  echo ""
  echo "Fix it before you install this package, while you still can!"
  exit 1
}
(
    cd $RPM_BUILD_ROOT/lib
    ln -sf libpam.so.0.* $RPM_BUILD_ROOT/lib/libpam.so.0
    ln -sf libpam_misc.so.0.* $RPM_BUILD_ROOT/lib/libpam_misc.so.0
)

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir /etc/pam.d
%config(noreplace) /etc/pam.d/other
%config(noreplace) /etc/pam.d/system-auth
%config(noreplace) /etc/security/access.conf
%config(noreplace) /etc/security/time.conf
%config(noreplace) /etc/security/group.conf
%config(noreplace) /etc/security/limits.conf
%config(noreplace) /etc/security/pam_env.conf
%config(noreplace) /etc/security/console.perms
/lib/libpam.so.*
/lib/libpam_misc.so.*
/sbin/pam_filter/
%attr(4755,root,root) /sbin/pwdb_chkpwd
/sbin/unix_chkpwd
/lib/security
%dir /etc/security/console.apps
%dir /var/lock/console
%{_mandir}/man5/*
%{_mandir}/man8/*

%files devel
%defattr(-,root,root)
%doc Copyright
/lib/libpam.so
/lib/libpam_misc.so
/lib/libpam_misc.a
%{_includedir}/security/*.h

%files doc
%defattr(-,root,root)
%doc doc/html doc/ps doc/txts doc/specs/rfc86.0.txt Copyright

%changelog
* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.72-12mdk
- added glib-devel bison flex BuildRequires.

* Mon Sep 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.72-11mdk
- include system-auth (chmou sucks).

* Sun Sep 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.72-10mdk
- Sync with last rh pam :
		- add a broken_shadow option to pam_unix
		- fix pam_stack debug and losing-track-of-the-result bug
		- rework pam_console's usage of syslog to actually be sane (#14646)
		- take the LOG_ERR flag off of some of pam_console's 

* Tue Sep 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.72-9mdk
- noreplace.
- resync console.perms with the dev package.

* Mon Sep  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.72-8mdk
- Add cdburner permission.
- Set all sound stuff to audio group.

* Sat Jul 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.72-7mdk
- Merge with latest RH changes (security fixes).

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.72-6mdk
- Merge with last RH changes.
- BM.

* Thu May 18 2000 Pixel <pixel@mandrakesoft.com> 0.72-5mdk
- fix add .so.0

* Thu May 18 2000 Pixel <pixel@mandrakesoft.com> 0.72-4mdk
- add .so.0
- create -devel
- move more doc to -doc

* Thu Apr 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.72-3mdk
- added a BuildRequires on pwdb-devel and cracklib-devel

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.72-2mdk
- new group
- only keep html doc in main package. ps & txt moved to -doc

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.72-1mdk
- 0.72. 
- Clean up %files section.

* Fri Jan 28 2000 Francis Galiegue <francis@mandrakesoft.com> 0.68-4mdk

- Fixed wrong user id for /sbin/pwdb_chkpwd

* Tue Jan 11 2000 Pixel <pixel@mandrakesoft.com>
- fix build as non-root

* Tue Jan  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.68-2mdk
- don't allow '/'/ on service_name (rh).

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.68.

* Wed Jul  7 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- return audio devices to pam control

* Thu Jun 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Local user audio "hack" we no longer modify audio device permissions

* Sun May  2 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Fix compilation on systems that don't have pam headers installed already
- Fix a bug (chmod 0755 $FAKEROOT/etc/security/console.apps, not
  /etc/security/console.apps !!!)

* Tue Apr 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adatations.

* Sat Apr 17 1999 Michael K. Johnson <johnsonm@redhat.com>
- added video4linux devices to /etc/security/console.perms

* Fri Apr 16 1999 Michael K. Johnson <johnsonm@redhat.com>
- added joystick lines to /etc/security/console.perms

* Thu Apr 15 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed a couple segfaults in pam_xauth uncovered by yesterday's fix...

* Wed Apr 14 1999 Cristian Gafton <gafton@redhat.com>
- use gcc -shared to link the shared libs

* Wed Apr 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- many bug fixes in pam_xauth
- pam_console can now handle broken applications that do not set
  the PAM_TTY item.

* Tue Apr 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed glob/regexp confusion in pam_console, added kbd and fixed fb devices
- added pam_xauth module

* Sat Apr 10 1999 Cristian Gafton <gafton@redhat.com>
- pam_lastlog does wtmp handling now

* Thu Apr 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- added option parsing to pam_console
- added framebuffer devices to default console.perms settings

* Wed Apr 07 1999 Cristian Gafton <gafton@redhat.com>
- fixed empty passwd handling in pam_pwdb

* Mon Mar 29 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed /dev/cdrom default user permissions back to 0600 in console.perms
  because some cdrom players open O_RDWR.

* Fri Mar 26 1999 Michael K. Johnson <johnsonm@redhat.com>
- added /dev/jaz and /dev/zip to console.perms

* Thu Mar 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed the default user permissions for /dev/cdrom to 0400 in console.perms

* Fri Mar 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed a few bugs in pam_console

* Thu Mar 18 1999 Michael K. Johnson <johnsonm@redhat.com>
- pam_console authentication working
- added /etc/security/console.apps directory

* Mon Mar 15 1999 Michael K. Johnson <johnsonm@redhat.com>
- added pam_console files to filelist

* Fri Feb 12 1999 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.66, some source cleanups

* Mon Dec 28 1998 Cristian Gafton <gafton@redhat.com>
- add patch from Savochkin Andrey Vladimirovich <saw@msu.ru> for umask
  security risk

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- upgrade to ver 0.65
- build the package out of internal CVS server

